[ 
https://issues.apache.org/jira/browse/NETBEANS-2894?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=16949991#comment-16949991
 ] 

flexJoly commented on NETBEANS-2894:
------------------------------------

I get this error once a week or so. (this time it is directly after the last 
windows update)

And then javascript is not recognized anymore. 

 

I do not understand why Netbeans is "installing" modules while everything is 
already installed and worked. Everything is working normally and then just the 
next day at startup it is giving this error.

> Warning - could not install some modules
> ----------------------------------------
>
>                 Key: NETBEANS-2894
>                 URL: https://issues.apache.org/jira/browse/NETBEANS-2894
>             Project: NetBeans
>          Issue Type: Bug
>    Affects Versions: 11.1
>            Reporter: Andreas Ernst
>            Priority: Major
>
> If i remember correcly, on some start of NetBeans, NetBeans wants to install 
> a module, this works.
> But after a new start of NetBeans i get this error:
>  
> Warning - could not install some modules:
>  Nashorn Integration - No module providing the capability 
> com.oracle.js.parser.implementation could be found.
>  27 further modules could not be installed due to the above problems.
> Warning - could not install some modules:
>          org.netbeans.libs.nashorn - No module providing the capability 
> com.oracle.js.parser.implementation could be found.
>          org.netbeans.modules.javascript2.doc - The module 
> org.netbeans.libs.nashorn would also need to be installed.
>          org.netbeans.modules.javascript2.extdoc - The module 
> org.netbeans.modules.javascript2.doc would also need to be installed.
>          org.netbeans.modules.javascript2.sdoc - The module 
> org.netbeans.modules.javascript2.doc would also need to be installed.
>          org.netbeans.modules.javascript2.jsdoc - The module 
> org.netbeans.modules.javascript2.doc would also need to be installed.
>          org.netbeans.modules.javascript2.model - The module 
> org.netbeans.libs.nashorn would also need to be installed.
>          org.netbeans.modules.javascript2.model - The module 
> org.netbeans.modules.javascript2.doc would also need to be installed.
>          org.netbeans.modules.javascript2.knockout - The module 
> org.netbeans.modules.javascript2.model would also need to be installed.
>          org.netbeans.modules.javascript2.prototypejs - The module 
> org.netbeans.modules.javascript2.model would also need to be installed.
>          org.netbeans.modules.javascript2.editor - The module 
> org.netbeans.libs.nashorn would also need to be installed.
>          org.netbeans.modules.javascript2.editor - The module 
> org.netbeans.modules.javascript2.model would also need to be installed.
>          org.netbeans.modules.javascript2.editor - The module 
> org.netbeans.modules.javascript2.doc would also need to be installed.
>          org.netbeans.modules.javascript2.jquery - The module 
> org.netbeans.modules.javascript2.editor would also need to be installed.
>          org.netbeans.modules.javascript2.jquery - The module 
> org.netbeans.modules.javascript2.model would also need to be installed.
>          org.netbeans.modules.javascript2.extjs - The module 
> org.netbeans.modules.javascript2.editor would also need to be installed.
>          org.netbeans.modules.javascript2.extjs - The module 
> org.netbeans.modules.javascript2.model would also need to be installed.
>          org.netbeans.modules.javascript2.nodejs - The module 
> org.netbeans.modules.javascript2.editor would also need to be installed.
>          org.netbeans.modules.javascript2.nodejs - The module 
> org.netbeans.modules.javascript2.model would also need to be installed.
>          org.netbeans.modules.html.angular - The module 
> org.netbeans.modules.javascript2.editor would also need to be installed.
>          org.netbeans.modules.html.angular - The module 
> org.netbeans.modules.javascript2.model would also need to be installed.
>          org.netbeans.modules.html.knockout - The module 
> org.netbeans.modules.javascript2.editor would also need to be installed.
>          org.netbeans.modules.html.knockout - The module 
> org.netbeans.modules.javascript2.knockout would also need to be installed.
>          org.netbeans.modules.javascript2.source.query - The module 
> org.netbeans.modules.javascript2.model would also need to be installed.
>          org.netbeans.modules.javascript2.requirejs - The module 
> org.netbeans.modules.javascript2.editor would also need to be installed.
>          org.netbeans.modules.javascript2.requirejs - The module 
> org.netbeans.modules.javascript2.model would also need to be installed.
>          org.netbeans.modules.javascript2.kit - The module 
> org.netbeans.modules.javascript2.prototypejs would also need to be installed.
>          org.netbeans.modules.javascript2.kit - The module 
> org.netbeans.modules.javascript2.editor would also need to be installed.
>          org.netbeans.modules.javascript2.kit - The module 
> org.netbeans.modules.javascript2.nodejs would also need to be installed.
>          org.netbeans.modules.javascript2.kit - The module 
> org.netbeans.modules.javascript2.requirejs would also need to be installed.
>          org.netbeans.modules.javascript2.kit - The module 
> org.netbeans.modules.javascript2.knockout would also need to be installed.
>          org.netbeans.modules.javascript2.kit - The module 
> org.netbeans.modules.javascript2.jsdoc would also need to be installed.
>          org.netbeans.modules.javascript2.kit - The module 
> org.netbeans.modules.javascript2.extjs would also need to be installed.
>          org.netbeans.modules.javascript2.kit - The module 
> org.netbeans.modules.javascript2.jquery would also need to be installed.
>          org.netbeans.modules.javascript2.kit - The module 
> org.netbeans.modules.javascript2.extdoc would also need to be installed.
>          org.netbeans.modules.javascript2.kit - The module 
> org.netbeans.modules.javascript2.sdoc would also need to be installed.
>          org.netbeans.modules.javascript.nodejs - The module 
> org.netbeans.modules.javascript2.nodejs would also need to be installed.
>          org.netbeans.modules.web.client.kit - The module 
> org.netbeans.modules.javascript.nodejs would also need to be installed.
>          org.netbeans.modules.web.client.kit - The module 
> org.netbeans.modules.javascript2.source.query would also need to be installed.
>          org.netbeans.modules.html.ojet - The module 
> org.netbeans.modules.javascript2.editor would also need to be installed.
>          org.netbeans.modules.html.ojet - The module 
> org.netbeans.modules.html.knockout would also need to be installed.
>          org.netbeans.modules.html.ojet - The module 
> org.netbeans.modules.web.client.kit would also need to be installed.
>          org.netbeans.modules.html.ojet - The module 
> org.netbeans.modules.javascript2.model would also need to be installed.
>          org.netbeans.modules.web.kit - The module 
> org.netbeans.modules.web.client.kit would also need to be installed.
>          org.netbeans.modules.web.jsf.kit - The module 
> org.netbeans.modules.web.kit would also need to be installed.
>          org.netbeans.modules.web.primefaces - The module 
> org.netbeans.modules.web.jsf.kit would also need to be installed.
>          org.netbeans.modules.web.struts - The module 
> org.netbeans.modules.web.kit would also need to be installed.
>          org.netbeans.modules.spring.webmvc - The module 
> org.netbeans.modules.web.kit would also need to be installed.
>          org.netbeans.modules.j2ee.kit - The module 
> org.netbeans.modules.web.kit would also need to be installed.
>          org.netbeans.modules.websvc.kit - The module 
> org.netbeans.modules.web.kit would also need to be installed.
>          org.netbeans.modules.websvc.restkit - The module 
> org.netbeans.modules.websvc.kit would also need to be installed.
>  
>   Product Version         = Apache NetBeans IDE 11.1
>   Operating System        = Mac OS X version 10.14.6 running on x86_64
>   Java; VM; Vendor        = 12.0.1; OpenJDK 64-Bit Server VM 12.0.1+12; 
> Oracle Corporation
>   Runtime                 = OpenJDK Runtime Environment 12.0.1+12
>   Java Home               = 
> /Library/Java/JavaVirtualMachines/jdk-12.0.1.jdk/Contents/Home
>   System Locale; Encoding = de_DE (nb); UTF-8



--
This message was sent by Atlassian Jira
(v8.3.4#803005)

---------------------------------------------------------------------
To unsubscribe, e-mail: commits-unsubscr...@netbeans.apache.org
For additional commands, e-mail: commits-h...@netbeans.apache.org

For further information about the NetBeans mailing lists, visit:
https://cwiki.apache.org/confluence/display/NETBEANS/Mailing+lists

Reply via email to